
DROP TABLE FICHA_ATENDIMENTO_MEDICA CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO_MEDICA (
       ID_FICHA_ATENDIMENTO_IDOSO INTEGER NOT NULL,
       MEDICAMENTO          INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO_MEDICA;

DROP INDEX XIF236FICHA_ATENDIMENTO_MEDICA;

DROP INDEX XIF237FICHA_ATENDIMENTO_MEDICA;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO_MEDICA ON FICHA_ATENDIMENTO_MEDICA
(
       ID_FICHA_ATENDIMENTO_IDOSO,
       MEDICAMENTO
);

CREATE INDEX XIF236FICHA_ATENDIMENTO_MEDICA ON FICHA_ATENDIMENTO_MEDICA
(
       ID_FICHA_ATENDIMENTO_IDOSO
);

CREATE INDEX XIF237FICHA_ATENDIMENTO_MEDICA ON FICHA_ATENDIMENTO_MEDICA
(
       MEDICAMENTO
);


DROP TABLE FICHA_ATENDIMENTO__MEDICA CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO__MEDICA (
       ID_FICHA_ATENDIMENTO_ADULTO INTEGER NOT NULL,
       MEDICAMENTO          INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO__MEDICA;

DROP INDEX XIF233FICHA_ATENDIMENTO__MEDIC;

DROP INDEX XIF234FICHA_ATENDIMENTO__MEDIC;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO__MEDICA ON FICHA_ATENDIMENTO__MEDICA
(
       ID_FICHA_ATENDIMENTO_ADULTO,
       MEDICAMENTO
);

CREATE INDEX XIF233FICHA_ATENDIMENTO__MEDIC ON FICHA_ATENDIMENTO__MEDICA
(
       ID_FICHA_ATENDIMENTO_ADULTO
);

CREATE INDEX XIF234FICHA_ATENDIMENTO__MEDIC ON FICHA_ATENDIMENTO__MEDICA
(
       MEDICAMENTO
);


DROP TABLE FICHA_ATENDIMENTO__MEDIC CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO__MEDIC (
       ID_FICHA_ATENDIMENTO_CRIANCA INTEGER NOT NULL,
       MEDICAMENTO          INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO__MEDIC;

DROP INDEX XIF230FICHA_ATENDIMENTO__MEDIC;

DROP INDEX XIF231FICHA_ATENDIMENTO__MEDIC;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO__MEDIC ON FICHA_ATENDIMENTO__MEDIC
(
       ID_FICHA_ATENDIMENTO_CRIANCA,
       MEDICAMENTO
);

CREATE INDEX XIF230FICHA_ATENDIMENTO__MEDIC ON FICHA_ATENDIMENTO__MEDIC
(
       ID_FICHA_ATENDIMENTO_CRIANCA
);

CREATE INDEX XIF231FICHA_ATENDIMENTO__MEDIC ON FICHA_ATENDIMENTO__MEDIC
(
       MEDICAMENTO
);


DROP TABLE FICHA_ATENDIME_SOLICITACA CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIME_SOLICITACA (
       ID_FICHA_ATENDIMENTO_CRIANCA INTEGER NOT NULL,
       ID_EXAME             INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIME_SOLICITACA;

DROP INDEX XIF209FICHA_ATENDIME_SOLICITAC;

DROP INDEX XIF210FICHA_ATENDIME_SOLICITAC;

CREATE UNIQUE INDEX XPKFICHA_ATENDIME_SOLICITACA ON FICHA_ATENDIME_SOLICITACA
(
       ID_FICHA_ATENDIMENTO_CRIANCA,
       ID_EXAME
);

CREATE INDEX XIF209FICHA_ATENDIME_SOLICITAC ON FICHA_ATENDIME_SOLICITACA
(
       ID_FICHA_ATENDIMENTO_CRIANCA
);

CREATE INDEX XIF210FICHA_ATENDIME_SOLICITAC ON FICHA_ATENDIME_SOLICITACA
(
       ID_EXAME
);


DROP TABLE FICHA_ATENDIMEN_TIPO_DE_A CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMEN_TIPO_DE_A (
       ID_FICHA_ATENDIMENTO_CRIANCA INTEGER NOT NULL,
       ID_TIPO_DE_ATENDIMENTO INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMEN_TIPO_DE_A;

DROP INDEX XIF206FICHA_ATENDIMEN_TIPO_DE_;

DROP INDEX XIF207FICHA_ATENDIMEN_TIPO_DE_;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMEN_TIPO_DE_A ON FICHA_ATENDIMEN_TIPO_DE_A
(
       ID_FICHA_ATENDIMENTO_CRIANCA,
       ID_TIPO_DE_ATENDIMENTO
);

CREATE INDEX XIF206FICHA_ATENDIMEN_TIPO_DE_ ON FICHA_ATENDIMEN_TIPO_DE_A
(
       ID_FICHA_ATENDIMENTO_CRIANCA
);

CREATE INDEX XIF207FICHA_ATENDIMEN_TIPO_DE_ ON FICHA_ATENDIMEN_TIPO_DE_A
(
       ID_TIPO_DE_ATENDIMENTO
);


DROP TABLE FICHA_ATENDIMENTO_ENCAMIN CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO_ENCAMIN (
       ID_FICHA_ATENDIMENTO_CRIANCA INTEGER NOT NULL,
       ID_ENCAMINHAMENTOS   INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO_ENCAMIN;

DROP INDEX XIF203FICHA_ATENDIMENTO_ENCAMI;

DROP INDEX XIF204FICHA_ATENDIMENTO_ENCAMI;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO_ENCAMIN ON FICHA_ATENDIMENTO_ENCAMIN
(
       ID_FICHA_ATENDIMENTO_CRIANCA,
       ID_ENCAMINHAMENTOS
);

CREATE INDEX XIF203FICHA_ATENDIMENTO_ENCAMI ON FICHA_ATENDIMENTO_ENCAMIN
(
       ID_FICHA_ATENDIMENTO_CRIANCA
);

CREATE INDEX XIF204FICHA_ATENDIMENTO_ENCAMI ON FICHA_ATENDIMENTO_ENCAMIN
(
       ID_ENCAMINHAMENTOS
);


DROP TABLE FICHA_ATENDIMENTO__PROCED CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO__PROCED (
       ID_FICHA_ATENDIMENTO_CRIANCA INTEGER NOT NULL,
       ID_PROCEDIMENTO      INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO__PROCED;

DROP INDEX XIF200FICHA_ATENDIMENTO__PROCE;

DROP INDEX XIF201FICHA_ATENDIMENTO__PROCE;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO__PROCED ON FICHA_ATENDIMENTO__PROCED
(
       ID_FICHA_ATENDIMENTO_CRIANCA,
       ID_PROCEDIMENTO
);

CREATE INDEX XIF200FICHA_ATENDIMENTO__PROCE ON FICHA_ATENDIMENTO__PROCED
(
       ID_FICHA_ATENDIMENTO_CRIANCA
);

CREATE INDEX XIF201FICHA_ATENDIMENTO__PROCE ON FICHA_ATENDIMENTO__PROCED
(
       ID_PROCEDIMENTO
);


DROP TABLE FICHA_ATENDIM_SOLICITACAO CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIM_SOLICITACAO (
       ID_FICHA_ATENDIMENTO_IDOSO INTEGER NOT NULL,
       ID_EXAME             INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIM_SOLICITACAO;

DROP INDEX XIF197FICHA_ATENDIM_SOLICITACA;

DROP INDEX XIF198FICHA_ATENDIM_SOLICITACA;

CREATE UNIQUE INDEX XPKFICHA_ATENDIM_SOLICITACAO ON FICHA_ATENDIM_SOLICITACAO
(
       ID_FICHA_ATENDIMENTO_IDOSO,
       ID_EXAME
);

CREATE INDEX XIF197FICHA_ATENDIM_SOLICITACA ON FICHA_ATENDIM_SOLICITACAO
(
       ID_FICHA_ATENDIMENTO_IDOSO
);

CREATE INDEX XIF198FICHA_ATENDIM_SOLICITACA ON FICHA_ATENDIM_SOLICITACAO
(
       ID_EXAME
);


DROP TABLE FICHA_ATENDIME_TIPO_DE_AT CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIME_TIPO_DE_AT (
       ID_FICHA_ATENDIMENTO_IDOSO INTEGER NOT NULL,
       ID_TIPO_DE_ATENDIMENTO INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIME_TIPO_DE_AT;

DROP INDEX XIF194FICHA_ATENDIME_TIPO_DE_A;

DROP INDEX XIF195FICHA_ATENDIME_TIPO_DE_A;

CREATE UNIQUE INDEX XPKFICHA_ATENDIME_TIPO_DE_AT ON FICHA_ATENDIME_TIPO_DE_AT
(
       ID_FICHA_ATENDIMENTO_IDOSO,
       ID_TIPO_DE_ATENDIMENTO
);

CREATE INDEX XIF194FICHA_ATENDIME_TIPO_DE_A ON FICHA_ATENDIME_TIPO_DE_AT
(
       ID_FICHA_ATENDIMENTO_IDOSO
);

CREATE INDEX XIF195FICHA_ATENDIME_TIPO_DE_A ON FICHA_ATENDIME_TIPO_DE_AT
(
       ID_TIPO_DE_ATENDIMENTO
);


DROP TABLE FICHA_ATENDIMENT_ENCAMINH CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENT_ENCAMINH (
       ID_FICHA_ATENDIMENTO_IDOSO INTEGER NOT NULL,
       ID_ENCAMINHAMENTOS   INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENT_ENCAMINH;

DROP INDEX XIF191FICHA_ATENDIMENT_ENCAMIN;

DROP INDEX XIF192FICHA_ATENDIMENT_ENCAMIN;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENT_ENCAMINH ON FICHA_ATENDIMENT_ENCAMINH
(
       ID_FICHA_ATENDIMENTO_IDOSO,
       ID_ENCAMINHAMENTOS
);

CREATE INDEX XIF191FICHA_ATENDIMENT_ENCAMIN ON FICHA_ATENDIMENT_ENCAMINH
(
       ID_FICHA_ATENDIMENTO_IDOSO
);

CREATE INDEX XIF192FICHA_ATENDIMENT_ENCAMIN ON FICHA_ATENDIMENT_ENCAMINH
(
       ID_ENCAMINHAMENTOS
);


DROP TABLE FICHA_ATENDIMENTO_PROCEDI CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO_PROCEDI (
       ID_FICHA_ATENDIMENTO_IDOSO INTEGER NOT NULL,
       ID_PROCEDIMENTO      INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO_PROCEDI;

DROP INDEX XIF188FICHA_ATENDIMENTO_PROCED;

DROP INDEX XIF189FICHA_ATENDIMENTO_PROCED;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO_PROCEDI ON FICHA_ATENDIMENTO_PROCEDI
(
       ID_FICHA_ATENDIMENTO_IDOSO,
       ID_PROCEDIMENTO
);

CREATE INDEX XIF188FICHA_ATENDIMENTO_PROCED ON FICHA_ATENDIMENTO_PROCEDI
(
       ID_FICHA_ATENDIMENTO_IDOSO
);

CREATE INDEX XIF189FICHA_ATENDIMENTO_PROCED ON FICHA_ATENDIMENTO_PROCEDI
(
       ID_PROCEDIMENTO
);


DROP TABLE FICHA_ATENDIM_SOLICITACA CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIM_SOLICITACA (
       ID_FICHA_ATENDIMENTO_ADULTO INTEGER NOT NULL,
       ID_EXAME             INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIM_SOLICITACA;

DROP INDEX XIF185FICHA_ATENDIM_SOLICITACA;

DROP INDEX XIF186FICHA_ATENDIM_SOLICITACA;

CREATE UNIQUE INDEX XPKFICHA_ATENDIM_SOLICITACA ON FICHA_ATENDIM_SOLICITACA
(
       ID_FICHA_ATENDIMENTO_ADULTO,
       ID_EXAME
);

CREATE INDEX XIF185FICHA_ATENDIM_SOLICITACA ON FICHA_ATENDIM_SOLICITACA
(
       ID_FICHA_ATENDIMENTO_ADULTO
);

CREATE INDEX XIF186FICHA_ATENDIM_SOLICITACA ON FICHA_ATENDIM_SOLICITACA
(
       ID_EXAME
);


DROP TABLE FICHA_ATENDIME_TIPO_DE_A CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIME_TIPO_DE_A (
       ID_FICHA_ATENDIMENTO_ADULTO INTEGER NOT NULL,
       ID_TIPO_DE_ATENDIMENTO INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIME_TIPO_DE_A;

DROP INDEX XIF182FICHA_ATENDIME_TIPO_DE_A;

DROP INDEX XIF183FICHA_ATENDIME_TIPO_DE_A;

CREATE UNIQUE INDEX XPKFICHA_ATENDIME_TIPO_DE_A ON FICHA_ATENDIME_TIPO_DE_A
(
       ID_FICHA_ATENDIMENTO_ADULTO,
       ID_TIPO_DE_ATENDIMENTO
);

CREATE INDEX XIF182FICHA_ATENDIME_TIPO_DE_A ON FICHA_ATENDIME_TIPO_DE_A
(
       ID_FICHA_ATENDIMENTO_ADULTO
);

CREATE INDEX XIF183FICHA_ATENDIME_TIPO_DE_A ON FICHA_ATENDIME_TIPO_DE_A
(
       ID_TIPO_DE_ATENDIMENTO
);


DROP TABLE FICHA_ATENDIMENT_ENCAMIN CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENT_ENCAMIN (
       ID_FICHA_ATENDIMENTO_ADULTO INTEGER NOT NULL,
       ID_ENCAMINHAMENTOS   INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENT_ENCAMIN;

DROP INDEX XIF179FICHA_ATENDIMENT_ENCAMIN;

DROP INDEX XIF180FICHA_ATENDIMENT_ENCAMIN;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENT_ENCAMIN ON FICHA_ATENDIMENT_ENCAMIN
(
       ID_FICHA_ATENDIMENTO_ADULTO,
       ID_ENCAMINHAMENTOS
);

CREATE INDEX XIF179FICHA_ATENDIMENT_ENCAMIN ON FICHA_ATENDIMENT_ENCAMIN
(
       ID_FICHA_ATENDIMENTO_ADULTO
);

CREATE INDEX XIF180FICHA_ATENDIMENT_ENCAMIN ON FICHA_ATENDIMENT_ENCAMIN
(
       ID_ENCAMINHAMENTOS
);


DROP TABLE FICHA_ATENDIMENTO_PROCED CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO_PROCED (
       ID_FICHA_ATENDIMENTO_ADULTO INTEGER NOT NULL,
       ID_PROCEDIMENTO      INTEGER NOT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO_PROCED;

DROP INDEX XIF176FICHA_ATENDIMENTO_PROCED;

DROP INDEX XIF177FICHA_ATENDIMENTO_PROCED;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO_PROCED ON FICHA_ATENDIMENTO_PROCED
(
       ID_FICHA_ATENDIMENTO_ADULTO,
       ID_PROCEDIMENTO
);

CREATE INDEX XIF176FICHA_ATENDIMENTO_PROCED ON FICHA_ATENDIMENTO_PROCED
(
       ID_FICHA_ATENDIMENTO_ADULTO
);

CREATE INDEX XIF177FICHA_ATENDIMENTO_PROCED ON FICHA_ATENDIMENTO_PROCED
(
       ID_PROCEDIMENTO
);


DROP TABLE SOLICITACAO_DE_EXAMES CASCADE CONSTRAINTS;

CREATE TABLE SOLICITACAO_DE_EXAMES (
       ID_EXAME             INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL
);

DROP INDEX XPKSOLICITACAO_DE_EXAMES;

CREATE UNIQUE INDEX XPKSOLICITACAO_DE_EXAMES ON SOLICITACAO_DE_EXAMES
(
       ID_EXAME
);


DROP TABLE TIPO_DE_ATENDIMENTO CASCADE CONSTRAINTS;

CREATE TABLE TIPO_DE_ATENDIMENTO (
       ID_TIPO_DE_ATENDIMENTO INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL
);

DROP INDEX XPKTIPO_DE_ATENDIMENTO;

CREATE UNIQUE INDEX XPKTIPO_DE_ATENDIMENTO ON TIPO_DE_ATENDIMENTO
(
       ID_TIPO_DE_ATENDIMENTO
);


DROP TABLE ENCAMINHAMENTOS CASCADE CONSTRAINTS;

CREATE TABLE ENCAMINHAMENTOS (
       ID_ENCAMINHAMENTOS   INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL
);

DROP INDEX XPKENCAMINHAMENTOS;

CREATE UNIQUE INDEX XPKENCAMINHAMENTOS ON ENCAMINHAMENTOS
(
       ID_ENCAMINHAMENTOS
);


DROP TABLE PROCEDIMENTOS CASCADE CONSTRAINTS;

CREATE TABLE PROCEDIMENTOS (
       ID_PROCEDIMENTO      INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL
);

DROP INDEX XPKPROCEDIMENTOS;

CREATE UNIQUE INDEX XPKPROCEDIMENTOS ON PROCEDIMENTOS
(
       ID_PROCEDIMENTO
);


DROP TABLE UNIDADE_DE_SAUDE CASCADE CONSTRAINTS;

CREATE TABLE UNIDADE_DE_SAUDE (
       ID_UNIDADE_DE_SAUDE  INTEGER NOT NULL,
       ID_SEGMENTO          INTEGER NOT NULL,
       ID_MUNICIPIO         INTEGER NOT NULL,
       ID_ESTADO            INTEGER NOT NULL,
       ID_PSF               INTEGER NULL,
       NOME                 VARCHAR(40) NULL,
       DIRETOR              VARCHAR(40) NULL
);

DROP INDEX XPKUNIDADE_DE_SAUDE;

DROP INDEX XIF169UNIDADE_DE_SAUDE;

DROP INDEX XIF60UNIDADE_DE_SAUDE;

CREATE UNIQUE INDEX XPKUNIDADE_DE_SAUDE ON UNIDADE_DE_SAUDE
(
       ID_UNIDADE_DE_SAUDE,
       ID_SEGMENTO,
       ID_MUNICIPIO,
       ID_ESTADO
);

CREATE INDEX XIF169UNIDADE_DE_SAUDE ON UNIDADE_DE_SAUDE
(
       ID_PSF
);

CREATE INDEX XIF60UNIDADE_DE_SAUDE ON UNIDADE_DE_SAUDE
(
       ID_SEGMENTO,
       ID_MUNICIPIO,
       ID_ESTADO
);


DROP TABLE DROGAS_PESSOA CASCADE CONSTRAINTS;

CREATE TABLE DROGAS_PESSOA (
       ID_DROGAS            INTEGER NOT NULL,
       ID_PESSOA            INTEGER NOT NULL
);

DROP INDEX XPKDROGAS_PESSOA;

DROP INDEX XIF166DROGAS_PESSOA;

DROP INDEX XIF167DROGAS_PESSOA;

CREATE UNIQUE INDEX XPKDROGAS_PESSOA ON DROGAS_PESSOA
(
       ID_DROGAS,
       ID_PESSOA
);

CREATE INDEX XIF166DROGAS_PESSOA ON DROGAS_PESSOA
(
       ID_DROGAS
);

CREATE INDEX XIF167DROGAS_PESSOA ON DROGAS_PESSOA
(
       ID_PESSOA
);


DROP TABLE PESSOA_FICHA_ATENDIMENTO_IDOSO CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_FICHA_ATENDIMENTO_IDOSO (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FICHA_ATENDIMENTO_IDOSO INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_FICHA_ATENDIMENTO_ID;

DROP INDEX XIF118PESSOA_FICHA_ATENDIMENTO;

DROP INDEX XIF119PESSOA_FICHA_ATENDIMENTO;

CREATE UNIQUE INDEX XPKPESSOA_FICHA_ATENDIMENTO_ID ON PESSOA_FICHA_ATENDIMENTO_IDOSO
(
       ID_PESSOA,
       ID_FICHA_ATENDIMENTO_IDOSO
);

CREATE INDEX XIF118PESSOA_FICHA_ATENDIMENTO ON PESSOA_FICHA_ATENDIMENTO_IDOSO
(
       ID_PESSOA
);

CREATE INDEX XIF119PESSOA_FICHA_ATENDIMENTO ON PESSOA_FICHA_ATENDIMENTO_IDOSO
(
       ID_FICHA_ATENDIMENTO_IDOSO
);


DROP TABLE PES_FICHA_ATENDIMENTO_ADU CASCADE CONSTRAINTS;

CREATE TABLE PES_FICHA_ATENDIMENTO_ADU (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FICHA_ATENDIMENTO_ADULTO INTEGER NOT NULL
);

DROP INDEX XPKPES_FICHA_ATENDIMENTO_ADU;

DROP INDEX XIF115PES_FICHA_ATENDIMENTO_AD;

DROP INDEX XIF116PES_FICHA_ATENDIMENTO_AD;

CREATE UNIQUE INDEX XPKPES_FICHA_ATENDIMENTO_ADU ON PES_FICHA_ATENDIMENTO_ADU
(
       ID_PESSOA,
       ID_FICHA_ATENDIMENTO_ADULTO
);

CREATE INDEX XIF115PES_FICHA_ATENDIMENTO_AD ON PES_FICHA_ATENDIMENTO_ADU
(
       ID_PESSOA
);

CREATE INDEX XIF116PES_FICHA_ATENDIMENTO_AD ON PES_FICHA_ATENDIMENTO_ADU
(
       ID_FICHA_ATENDIMENTO_ADULTO
);


DROP TABLE PE_FICHA_ATENDIMENTO_CRI CASCADE CONSTRAINTS;

CREATE TABLE PE_FICHA_ATENDIMENTO_CRI (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FICHA_ATENDIMENTO_CRIANCA INTEGER NOT NULL
);

DROP INDEX XPKPE_FICHA_ATENDIMENTO_CRI;

DROP INDEX XIF112PE_FICHA_ATENDIMENTO_CRI;

DROP INDEX XIF113PE_FICHA_ATENDIMENTO_CRI;

CREATE UNIQUE INDEX XPKPE_FICHA_ATENDIMENTO_CRI ON PE_FICHA_ATENDIMENTO_CRI
(
       ID_PESSOA,
       ID_FICHA_ATENDIMENTO_CRIANCA
);

CREATE INDEX XIF112PE_FICHA_ATENDIMENTO_CRI ON PE_FICHA_ATENDIMENTO_CRI
(
       ID_PESSOA
);

CREATE INDEX XIF113PE_FICHA_ATENDIMENTO_CRI ON PE_FICHA_ATENDIMENTO_CRI
(
       ID_FICHA_ATENDIMENTO_CRIANCA
);


DROP TABLE PESSOA_FICHA_B_DIA CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_FICHA_B_DIA (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FICHA_B_DIABETE   INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_FICHA_B_DIA;

DROP INDEX XIF109PESSOA_FICHA_B_DIA;

DROP INDEX XIF110PESSOA_FICHA_B_DIA;

CREATE UNIQUE INDEX XPKPESSOA_FICHA_B_DIA ON PESSOA_FICHA_B_DIA
(
       ID_PESSOA,
       ID_FICHA_B_DIABETE
);

CREATE INDEX XIF109PESSOA_FICHA_B_DIA ON PESSOA_FICHA_B_DIA
(
       ID_PESSOA
);

CREATE INDEX XIF110PESSOA_FICHA_B_DIA ON PESSOA_FICHA_B_DIA
(
       ID_FICHA_B_DIABETE
);


DROP TABLE PESSOA_FICHA_B_TUB CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_FICHA_B_TUB (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FICHA_B_TUB       INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_FICHA_B_TUB;

DROP INDEX XIF106PESSOA_FICHA_B_TUB;

DROP INDEX XIF107PESSOA_FICHA_B_TUB;

CREATE UNIQUE INDEX XPKPESSOA_FICHA_B_TUB ON PESSOA_FICHA_B_TUB
(
       ID_PESSOA,
       ID_FICHA_B_TUB
);

CREATE INDEX XIF106PESSOA_FICHA_B_TUB ON PESSOA_FICHA_B_TUB
(
       ID_PESSOA
);

CREATE INDEX XIF107PESSOA_FICHA_B_TUB ON PESSOA_FICHA_B_TUB
(
       ID_FICHA_B_TUB
);


DROP TABLE PESSOA_FICHA_B_HAN CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_FICHA_B_HAN (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FICHA_B_HAN       INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_FICHA_B_HAN;

DROP INDEX XIF103PESSOA_FICHA_B_HAN;

DROP INDEX XIF104PESSOA_FICHA_B_HAN;

CREATE UNIQUE INDEX XPKPESSOA_FICHA_B_HAN ON PESSOA_FICHA_B_HAN
(
       ID_PESSOA,
       ID_FICHA_B_HAN
);

CREATE INDEX XIF103PESSOA_FICHA_B_HAN ON PESSOA_FICHA_B_HAN
(
       ID_PESSOA
);

CREATE INDEX XIF104PESSOA_FICHA_B_HAN ON PESSOA_FICHA_B_HAN
(
       ID_FICHA_B_HAN
);


DROP TABLE PESSOA_FICHA_B_HA CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_FICHA_B_HA (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FICHA_B_HA        INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_FICHA_B_HA;

DROP INDEX XIF94PESSOA_FICHA_B_HA;

DROP INDEX XIF95PESSOA_FICHA_B_HA;

CREATE UNIQUE INDEX XPKPESSOA_FICHA_B_HA ON PESSOA_FICHA_B_HA
(
       ID_PESSOA,
       ID_FICHA_B_HA
);

CREATE INDEX XIF94PESSOA_FICHA_B_HA ON PESSOA_FICHA_B_HA
(
       ID_PESSOA
);

CREATE INDEX XIF95PESSOA_FICHA_B_HA ON PESSOA_FICHA_B_HA
(
       ID_FICHA_B_HA
);


DROP TABLE PESSOA_FICHA_B_GES CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_FICHA_B_GES (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FICHA_DE_GESTANTE INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_FICHA_B_GES;

DROP INDEX XIF91PESSOA_FICHA_B_GES;

DROP INDEX XIF92PESSOA_FICHA_B_GES;

CREATE UNIQUE INDEX XPKPESSOA_FICHA_B_GES ON PESSOA_FICHA_B_GES
(
       ID_PESSOA,
       ID_FICHA_DE_GESTANTE
);

CREATE INDEX XIF91PESSOA_FICHA_B_GES ON PESSOA_FICHA_B_GES
(
       ID_PESSOA
);

CREATE INDEX XIF92PESSOA_FICHA_B_GES ON PESSOA_FICHA_B_GES
(
       ID_FICHA_DE_GESTANTE
);


DROP TABLE PESSOA_PATOLOGIA CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_PATOLOGIA (
       ID_PESSOA            INTEGER NOT NULL,
       ID_PATOLOGIA         INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_PATOLOGIA;

DROP INDEX XIF86PESSOA_PATOLOGIA;

DROP INDEX XIF87PESSOA_PATOLOGIA;

CREATE UNIQUE INDEX XPKPESSOA_PATOLOGIA ON PESSOA_PATOLOGIA
(
       ID_PESSOA,
       ID_PATOLOGIA
);

CREATE INDEX XIF86PESSOA_PATOLOGIA ON PESSOA_PATOLOGIA
(
       ID_PESSOA
);

CREATE INDEX XIF87PESSOA_PATOLOGIA ON PESSOA_PATOLOGIA
(
       ID_PATOLOGIA
);


DROP TABLE PESSOA_OCUPACAO CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_OCUPACAO (
       ID_PESSOA            INTEGER NOT NULL,
       ID_OCUPACAO          INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_OCUPACAO;

DROP INDEX XIF78PESSOA_OCUPACAO;

DROP INDEX XIF79PESSOA_OCUPACAO;

CREATE UNIQUE INDEX XPKPESSOA_OCUPACAO ON PESSOA_OCUPACAO
(
       ID_PESSOA,
       ID_OCUPACAO
);

CREATE INDEX XIF78PESSOA_OCUPACAO ON PESSOA_OCUPACAO
(
       ID_PESSOA
);

CREATE INDEX XIF79PESSOA_OCUPACAO ON PESSOA_OCUPACAO
(
       ID_OCUPACAO
);


DROP TABLE PESSOA_CONDICAO_REFERIDA CASCADE CONSTRAINTS;

CREATE TABLE PESSOA_CONDICAO_REFERIDA (
       ID_PESSOA            INTEGER NOT NULL,
       ID_CONDICAO_REFERIDA INTEGER NOT NULL
);

DROP INDEX XPKPESSOA_CONDICAO_REFERIDA;

DROP INDEX XIF75PESSOA_CONDICAO_REFERIDA;

DROP INDEX XIF76PESSOA_CONDICAO_REFERIDA;

CREATE UNIQUE INDEX XPKPESSOA_CONDICAO_REFERIDA ON PESSOA_CONDICAO_REFERIDA
(
       ID_PESSOA,
       ID_CONDICAO_REFERIDA
);

CREATE INDEX XIF75PESSOA_CONDICAO_REFERIDA ON PESSOA_CONDICAO_REFERIDA
(
       ID_PESSOA
);

CREATE INDEX XIF76PESSOA_CONDICAO_REFERIDA ON PESSOA_CONDICAO_REFERIDA
(
       ID_CONDICAO_REFERIDA
);


DROP TABLE PESSOA CASCADE CONSTRAINTS;

CREATE TABLE PESSOA (
       ID_PESSOA            INTEGER NOT NULL,
       ID_FAMILIA           INTEGER NOT NULL,
       NOME                 VARCHAR(40) NOT NULL,
       SEXO                 CHAR(1) NOT NULL,
       DATA_NASCIMENTO      DATE NULL,
       IDADE                INTEGER NOT NULL,
       RG                   VARCHAR(15) NOT NULL,
       NATURALIDADE         VARCHAR(40) NULL,
       NACIONALIDADE        VARCHAR(40) NULL,
       FREQUENTA_ESCOLA     BOOL NULL,
       TEM_PLANO_SAUDE      BOOL NULL,
       NOME_PLANO_SAUDE     VARCHAR(40) NULL,
       NOME_PAI             VARCHAR(40) NULL,
       IDADE_PAI            INTEGER NULL,
       PAI_TEM_SAUDE        BOOL NULL,
       NOME_MAE             VARCHAR(40) NULL,
       IDADE_MAE            INTEGER NULL,
       MAE_TEM_SAUDE        BOOL NULL
);

DROP INDEX XPKPESSOA;

DROP INDEX XIF46PESSOA;

CREATE UNIQUE INDEX XPKPESSOA ON PESSOA
(
       ID_PESSOA
);

CREATE INDEX XIF46PESSOA ON PESSOA
(
       ID_FAMILIA
);


DROP TABLE FAMILIA CASCADE CONSTRAINTS;

CREATE TABLE FAMILIA (
       ID_FAMILIA           INTEGER NOT NULL,
       ID_MEIO_DE_COMUNICACAO INTEGER NULL,
       ID_MEIO_DE_TRANSPORTE INTEGER NULL,
       ID_GRUPO_COMUNITARIO INTEGER NULL,
       ID_MEIO_DE_CURA      INTEGER NULL,
       ID_PSF               INTEGER NULL,
       ID_DESTINO_FEZES_URINA INTEGER NULL,
       ID_ABASTECIMENTO_AGUA INTEGER NULL,
       ID_TRATAMENTO_AGUA   INTEGER NULL,
       ID_DESTINO_LIXO      INTEGER NULL,
       ID_TIPO_DE_CASA      INTEGER NULL,
       DATA_CADASTRAMENTO   DATE NOT NULL,
       LOGRADOURO           VARCHAR(40) NULL,
       NUMERO               INTEGER NULL,
       COMPLEMENTO          VARCHAR(15) NULL,
       BAIRRO               VARCHAR(40) NULL,
       CEP                  CHAR(9) NULL,
       NUM_PESSOAS_PLANO_DE_SAUDE INTEGER NULL
);

DROP INDEX XPKFAMILIA;

DROP INDEX XIF168FAMILIA;

DROP INDEX XIF171FAMILIA;

DROP INDEX XIF172FAMILIA;

DROP INDEX XIF173FAMILIA;

DROP INDEX XIF174FAMILIA;

DROP INDEX XIF41FAMILIA;

DROP INDEX XIF42FAMILIA;

DROP INDEX XIF43FAMILIA;

DROP INDEX XIF44FAMILIA;

DROP INDEX XIF45FAMILIA;

CREATE UNIQUE INDEX XPKFAMILIA ON FAMILIA
(
       ID_FAMILIA
);

CREATE INDEX XIF168FAMILIA ON FAMILIA
(
       ID_PSF
);

CREATE INDEX XIF171FAMILIA ON FAMILIA
(
       ID_MEIO_DE_CURA
);

CREATE INDEX XIF172FAMILIA ON FAMILIA
(
       ID_GRUPO_COMUNITARIO
);

CREATE INDEX XIF173FAMILIA ON FAMILIA
(
       ID_MEIO_DE_TRANSPORTE
);

CREATE INDEX XIF174FAMILIA ON FAMILIA
(
       ID_MEIO_DE_COMUNICACAO
);

CREATE INDEX XIF41FAMILIA ON FAMILIA
(
       ID_TIPO_DE_CASA
);

CREATE INDEX XIF42FAMILIA ON FAMILIA
(
       ID_DESTINO_LIXO
);

CREATE INDEX XIF43FAMILIA ON FAMILIA
(
       ID_TRATAMENTO_AGUA
);

CREATE INDEX XIF44FAMILIA ON FAMILIA
(
       ID_ABASTECIMENTO_AGUA
);

CREATE INDEX XIF45FAMILIA ON FAMILIA
(
       ID_DESTINO_FEZES_URINA
);


DROP TABLE PSF CASCADE CONSTRAINTS;

CREATE TABLE PSF (
       ID_PSF               INTEGER NOT NULL,
       DATA_DE_IMPLANTACAO  DATE NULL,
       OBJETIVOS            TEXT NULL
);

DROP INDEX XPKPSF;

CREATE UNIQUE INDEX XPKPSF ON PSF
(
       ID_PSF
);


DROP TABLE PATOL_FICHA_ATENDIMENTO_I CASCADE CONSTRAINTS;

CREATE TABLE PATOL_FICHA_ATENDIMENTO_I (
       ID_PATOLOGIA         INTEGER NOT NULL,
       ID_FICHA_ATENDIMENTO_IDOSO INTEGER NOT NULL
);

DROP INDEX XPKPATOL_FICHA_ATENDIMENTO_I;

DROP INDEX XIF147PATOL_FICHA_ATENDIMENTO_;

DROP INDEX XIF148PATOL_FICHA_ATENDIMENTO_;

CREATE UNIQUE INDEX XPKPATOL_FICHA_ATENDIMENTO_I ON PATOL_FICHA_ATENDIMENTO_I
(
       ID_PATOLOGIA,
       ID_FICHA_ATENDIMENTO_IDOSO
);

CREATE INDEX XIF147PATOL_FICHA_ATENDIMENTO_ ON PATOL_FICHA_ATENDIMENTO_I
(
       ID_PATOLOGIA
);

CREATE INDEX XIF148PATOL_FICHA_ATENDIMENTO_ ON PATOL_FICHA_ATENDIMENTO_I
(
       ID_FICHA_ATENDIMENTO_IDOSO
);


DROP TABLE PATO_FICHA_ATENDIMENTO_A CASCADE CONSTRAINTS;

CREATE TABLE PATO_FICHA_ATENDIMENTO_A (
       ID_PATOLOGIA         INTEGER NOT NULL,
       ID_FICHA_ATENDIMENTO_ADULTO INTEGER NOT NULL
);

DROP INDEX XPKPATO_FICHA_ATENDIMENTO_A;

DROP INDEX XIF144PATO_FICHA_ATENDIMENTO_A;

DROP INDEX XIF145PATO_FICHA_ATENDIMENTO_A;

CREATE UNIQUE INDEX XPKPATO_FICHA_ATENDIMENTO_A ON PATO_FICHA_ATENDIMENTO_A
(
       ID_PATOLOGIA,
       ID_FICHA_ATENDIMENTO_ADULTO
);

CREATE INDEX XIF144PATO_FICHA_ATENDIMENTO_A ON PATO_FICHA_ATENDIMENTO_A
(
       ID_PATOLOGIA
);

CREATE INDEX XIF145PATO_FICHA_ATENDIMENTO_A ON PATO_FICHA_ATENDIMENTO_A
(
       ID_FICHA_ATENDIMENTO_ADULTO
);


DROP TABLE MICROAREA CASCADE CONSTRAINTS;

CREATE TABLE MICROAREA (
       ID_MICROAREA         INTEGER NOT NULL,
       ID_AREA              INTEGER NOT NULL,
       ID_SEGMENTO          INTEGER NOT NULL,
       ID_MUNICIPIO         INTEGER NOT NULL,
       ID_ESTADO            INTEGER NOT NULL
);

DROP INDEX XPKMICROAREA;

DROP INDEX XIF59MICROAREA;

CREATE UNIQUE INDEX XPKMICROAREA ON MICROAREA
(
       ID_MICROAREA,
       ID_AREA,
       ID_SEGMENTO,
       ID_MUNICIPIO,
       ID_ESTADO
);

CREATE INDEX XIF59MICROAREA ON MICROAREA
(
       ID_AREA,
       ID_SEGMENTO,
       ID_MUNICIPIO,
       ID_ESTADO
);


DROP TABLE PROFISSIONAL CASCADE CONSTRAINTS;

CREATE TABLE PROFISSIONAL (
       ID_PROFISSIONAL      INTEGER NOT NULL,
       ID_EQUIPE            INTEGER NOT NULL,
       ESPECIALIDADE        VARCHAR(20) NOT NULL,
       NOME                 VARCHAR(40) NOT NULL,
       NUMERO               INTEGER NULL,
       COMPLEMENTO          VARCHAR(15) NULL,
       BAIRRO               VARCHAR(40) NULL,
       CEP                  CHAR(9) NULL
);

DROP INDEX XPKPROFISSIONAL;

DROP INDEX XIF22PROFISSIONAL;

CREATE UNIQUE INDEX XPKPROFISSIONAL ON PROFISSIONAL
(
       ID_PROFISSIONAL
);

CREATE INDEX XIF22PROFISSIONAL ON PROFISSIONAL
(
       ID_EQUIPE
);


DROP TABLE EQUIPE_DE_SAUDE CASCADE CONSTRAINTS;

CREATE TABLE EQUIPE_DE_SAUDE (
       ID_EQUIPE            INTEGER NOT NULL,
       ID_SEGMENTO          INTEGER NOT NULL,
       ID_MUNICIPIO         INTEGER NOT NULL,
       ID_ESTADO            INTEGER NOT NULL,
       ID_AREA              INTEGER NOT NULL
);

DROP INDEX XPKEQUIPE_DE_SAUDE;

DROP INDEX XIF21EQUIPE_DE_SAUDE;

CREATE UNIQUE INDEX XPKEQUIPE_DE_SAUDE ON EQUIPE_DE_SAUDE
(
       ID_EQUIPE
);

CREATE INDEX XIF21EQUIPE_DE_SAUDE ON EQUIPE_DE_SAUDE
(
       ID_AREA,
       ID_SEGMENTO,
       ID_MUNICIPIO,
       ID_ESTADO
);


DROP TABLE AREA CASCADE CONSTRAINTS;

CREATE TABLE AREA (
       ID_AREA              INTEGER NOT NULL,
       ID_SEGMENTO          INTEGER NOT NULL,
       ID_MUNICIPIO         INTEGER NOT NULL,
       ID_ESTADO            INTEGER NOT NULL
);

DROP INDEX XPKAREA;

DROP INDEX XIF57AREA;

CREATE UNIQUE INDEX XPKAREA ON AREA
(
       ID_AREA,
       ID_SEGMENTO,
       ID_MUNICIPIO,
       ID_ESTADO
);

CREATE INDEX XIF57AREA ON AREA
(
       ID_SEGMENTO,
       ID_MUNICIPIO,
       ID_ESTADO
);


DROP TABLE SEGMENTO CASCADE CONSTRAINTS;

CREATE TABLE SEGMENTO (
       ID_SEGMENTO          INTEGER NOT NULL,
       ID_MUNICIPIO         INTEGER NOT NULL,
       ID_ESTADO            INTEGER NOT NULL
);

DROP INDEX XPKSEGMENTO;

DROP INDEX XIF56SEGMENTO;

CREATE UNIQUE INDEX XPKSEGMENTO ON SEGMENTO
(
       ID_SEGMENTO,
       ID_MUNICIPIO,
       ID_ESTADO
);

CREATE INDEX XIF56SEGMENTO ON SEGMENTO
(
       ID_MUNICIPIO,
       ID_ESTADO
);


DROP TABLE MUNICIPIO CASCADE CONSTRAINTS;

CREATE TABLE MUNICIPIO (
       ID_MUNICIPIO         INTEGER NOT NULL,
       ID_ESTADO            INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL
);

DROP INDEX XPKMUNICIPIO;

DROP INDEX XIF55MUNICIPIO;

CREATE UNIQUE INDEX XPKMUNICIPIO ON MUNICIPIO
(
       ID_MUNICIPIO,
       ID_ESTADO
);

CREATE INDEX XIF55MUNICIPIO ON MUNICIPIO
(
       ID_ESTADO
);


DROP TABLE ESTADO CASCADE CONSTRAINTS;

CREATE TABLE ESTADO (
       ID_ESTADO            INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL,
       UF                   CHAR(2) NULL
);

DROP INDEX XPKESTADO;

CREATE UNIQUE INDEX XPKESTADO ON ESTADO
(
       ID_ESTADO
);


DROP TABLE OCUPACAO CASCADE CONSTRAINTS;

CREATE TABLE OCUPACAO (
       ID_OCUPACAO          INTEGER NOT NULL,
       NOME                 VARCHAR(40) NOT NULL
);

DROP INDEX XPKOCUPACAO;

CREATE UNIQUE INDEX XPKOCUPACAO ON OCUPACAO
(
       ID_OCUPACAO
);


DROP TABLE CONDICAO_REFERIDA CASCADE CONSTRAINTS;

CREATE TABLE CONDICAO_REFERIDA (
       ID_CONDICAO_REFERIDA INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL
);

DROP INDEX XPKCONDICAO_REFERIDA;

CREATE UNIQUE INDEX XPKCONDICAO_REFERIDA ON CONDICAO_REFERIDA
(
       ID_CONDICAO_REFERIDA
);


DROP TABLE TIPO_DE_CASA CASCADE CONSTRAINTS;

CREATE TABLE TIPO_DE_CASA (
       ID_TIPO_DE_CASA      INTEGER NOT NULL,
       NOME                 VARCHAR(15) NULL
);

DROP INDEX XPKTIPO_DE_CASA;

CREATE UNIQUE INDEX XPKTIPO_DE_CASA ON TIPO_DE_CASA
(
       ID_TIPO_DE_CASA
);


DROP TABLE DESTINO_LIXO CASCADE CONSTRAINTS;

CREATE TABLE DESTINO_LIXO (
       ID_DESTINO_LIXO      INTEGER NOT NULL,
       NOME                 VARCHAR(15) NULL
);

DROP INDEX XPKDESTINO_LIXO;

CREATE UNIQUE INDEX XPKDESTINO_LIXO ON DESTINO_LIXO
(
       ID_DESTINO_LIXO
);


DROP TABLE TRATAMENTO_AGUA CASCADE CONSTRAINTS;

CREATE TABLE TRATAMENTO_AGUA (
       ID_TRATAMENTO_AGUA   INTEGER NOT NULL,
       NOME                 VARCHAR(15) NULL
);

DROP INDEX XPKTRATAMENTO_AGUA;

CREATE UNIQUE INDEX XPKTRATAMENTO_AGUA ON TRATAMENTO_AGUA
(
       ID_TRATAMENTO_AGUA
);


DROP TABLE ABASTECIMENTO_AGUA CASCADE CONSTRAINTS;

CREATE TABLE ABASTECIMENTO_AGUA (
       ID_ABASTECIMENTO_AGUA INTEGER NOT NULL,
       NOME                 VARCHAR(15) NULL
);

DROP INDEX XPKABASTECIMENTO_AGUA;

CREATE UNIQUE INDEX XPKABASTECIMENTO_AGUA ON ABASTECIMENTO_AGUA
(
       ID_ABASTECIMENTO_AGUA
);


DROP TABLE DESTINO_FEZES_URINA CASCADE CONSTRAINTS;

CREATE TABLE DESTINO_FEZES_URINA (
       ID_DESTINO_FEZES_URINA INTEGER NOT NULL,
       NOME                 VARCHAR(15) NULL
);

DROP INDEX XPKDESTINO_FEZES_URINA;

CREATE UNIQUE INDEX XPKDESTINO_FEZES_URINA ON DESTINO_FEZES_URINA
(
       ID_DESTINO_FEZES_URINA
);


DROP TABLE MEIO_DE_COMUNICACAO CASCADE CONSTRAINTS;

CREATE TABLE MEIO_DE_COMUNICACAO (
       ID_MEIO_DE_COMUNICACAO INTEGER NOT NULL,
       NOME                 VARCHAR(20) NULL
);

DROP INDEX XPKMEIO_DE_COMUNICACAO;

CREATE UNIQUE INDEX XPKMEIO_DE_COMUNICACAO ON MEIO_DE_COMUNICACAO
(
       ID_MEIO_DE_COMUNICACAO
);


DROP TABLE MEIO_DE_CURA CASCADE CONSTRAINTS;

CREATE TABLE MEIO_DE_CURA (
       ID_MEIO_DE_CURA      INTEGER NOT NULL,
       NOME                 VARCHAR(30) NULL
);

DROP INDEX XPKMEIO_DE_CURA;

CREATE UNIQUE INDEX XPKMEIO_DE_CURA ON MEIO_DE_CURA
(
       ID_MEIO_DE_CURA
);


DROP TABLE GRUPO_COMUNITARIO CASCADE CONSTRAINTS;

CREATE TABLE GRUPO_COMUNITARIO (
       ID_GRUPO_COMUNITARIO INTEGER NOT NULL,
       NOME                 VARCHAR(20) NULL
);

DROP INDEX XPKGRUPO_COMUNITARIO;

CREATE UNIQUE INDEX XPKGRUPO_COMUNITARIO ON GRUPO_COMUNITARIO
(
       ID_GRUPO_COMUNITARIO
);


DROP TABLE MEIO_DE_TRANSPORTE CASCADE CONSTRAINTS;

CREATE TABLE MEIO_DE_TRANSPORTE (
       ID_MEIO_DE_TRANSPORTE INTEGER NOT NULL,
       NOME                 VARCHAR(15) NULL
);

DROP INDEX XPKMEIO_DE_TRANSPORTE;

CREATE UNIQUE INDEX XPKMEIO_DE_TRANSPORTE ON MEIO_DE_TRANSPORTE
(
       ID_MEIO_DE_TRANSPORTE
);


DROP TABLE PATO_FICHA_ATENDIMENTO_CR CASCADE CONSTRAINTS;

CREATE TABLE PATO_FICHA_ATENDIMENTO_CR (
       ID_PATOLOGIA         INTEGER NOT NULL,
       ID_FICHA_ATENDIMENTO_CRIANCA INTEGER NOT NULL
);

DROP INDEX XPKPATO_FICHA_ATENDIMENTO_CR;

DROP INDEX XIF122PATO_FICHA_ATENDIMENTO_C;

DROP INDEX XIF123PATO_FICHA_ATENDIMENTO_C;

CREATE UNIQUE INDEX XPKPATO_FICHA_ATENDIMENTO_CR ON PATO_FICHA_ATENDIMENTO_CR
(
       ID_PATOLOGIA,
       ID_FICHA_ATENDIMENTO_CRIANCA
);

CREATE INDEX XIF122PATO_FICHA_ATENDIMENTO_C ON PATO_FICHA_ATENDIMENTO_CR
(
       ID_PATOLOGIA
);

CREATE INDEX XIF123PATO_FICHA_ATENDIMENTO_C ON PATO_FICHA_ATENDIMENTO_CR
(
       ID_FICHA_ATENDIMENTO_CRIANCA
);


DROP TABLE PATOLOGIA CASCADE CONSTRAINTS;

CREATE TABLE PATOLOGIA (
       ID_PATOLOGIA         INTEGER NOT NULL,
       NOME                 VARCHAR(40) NOT NULL
);

DROP INDEX XPKPATOLOGIA;

CREATE UNIQUE INDEX XPKPATOLOGIA ON PATOLOGIA
(
       ID_PATOLOGIA
);


DROP TABLE FICHA_ATENDIMENTO_CRIANCA CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO_CRIANCA (
       ID_FICHA_ATENDIMENTO_CRIANCA INTEGER NOT NULL,
       ID_DIAGNOSTICO_DO_RN INTEGER NOT NULL,
       ID_PARTO             INTEGER NOT NULL,
       DATA_CONSULTA        DATE NOT NULL,
       CONCEPCAO_DESEJADA   BOOL NULL,
       NUM_DE_IRMAOS_VIVOS  INTEGER NULL,
       NUM_IRMAOS_MORTOS    INTEGER NULL,
       POSICAO_CRIANCA_FAMILIA INTEGER NULL,
       TRATAMENTO_PRE_NATAL BOOL NULL,
       MAE_FUMOU            BOOL NULL,
       MAE_INGERIU_ALCOOL   BOOL NULL,
       ICTERICIA_EM_36H     BOOL NULL,
       ESTATURA             FLOAT4 NULL,
       PC                   FLOAT4 NULL,
       APGARD               CHAR(3) NULL,
       SINTOMAS             TEXT NOT NULL,
       PRESCRICAO           TEXT NULL,
       OBSERVACOES          TEXT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO_CRIANCA;

DROP INDEX XIF131FICHA_ATENDIMENTO_CRIANC;

DROP INDEX XIF132FICHA_ATENDIMENTO_CRIANC;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO_CRIANCA ON FICHA_ATENDIMENTO_CRIANCA
(
       ID_FICHA_ATENDIMENTO_CRIANCA
);

CREATE INDEX XIF131FICHA_ATENDIMENTO_CRIANC ON FICHA_ATENDIMENTO_CRIANCA
(
       ID_PARTO
);

CREATE INDEX XIF132FICHA_ATENDIMENTO_CRIANC ON FICHA_ATENDIMENTO_CRIANCA
(
       ID_DIAGNOSTICO_DO_RN
);


DROP TABLE FICHA_ATENDIMENTO_ADULTO CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO_ADULTO (
       ID_FICHA_ATENDIMENTO_ADULTO INTEGER NOT NULL,
       DATA_DA_CONSULTA     DATE NOT NULL,
       SINTOMAS             TEXT NULL,
       PRESCRICOES          TEXT NULL,
       OBSERVACOES          TEXT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO_ADULTO;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO_ADULTO ON FICHA_ATENDIMENTO_ADULTO
(
       ID_FICHA_ATENDIMENTO_ADULTO
);


DROP TABLE FICHA_ATENDIMENTO_IDOSO CASCADE CONSTRAINTS;

CREATE TABLE FICHA_ATENDIMENTO_IDOSO (
       ID_FICHA_ATENDIMENTO_IDOSO INTEGER NOT NULL,
       DATA_DA_CONSULTA     DATE NOT NULL,
       SINTOMAS             TEXT NULL,
       PRESCRICOES          TEXT NULL,
       OBSERVACOES          TEXT NULL
);

DROP INDEX XPKFICHA_ATENDIMENTO_IDOSO;

CREATE UNIQUE INDEX XPKFICHA_ATENDIMENTO_IDOSO ON FICHA_ATENDIMENTO_IDOSO
(
       ID_FICHA_ATENDIMENTO_IDOSO
);


DROP TABLE FICHA_B_GES_FATORES_DE_RISCO CASCADE CONSTRAINTS;

CREATE TABLE FICHA_B_GES_FATORES_DE_RISCO (
       ID_FICHA_DE_GESTANTE INTEGER NOT NULL,
       ID_FATORES_DE_RISCO  INTEGER NOT NULL
);

DROP INDEX XPKFICHA_B_GES_FATORES_DE_RISC;

DROP INDEX XIF134FICHA_B_GES_FATORES_DE_R;

DROP INDEX XIF135FICHA_B_GES_FATORES_DE_R;

CREATE UNIQUE INDEX XPKFICHA_B_GES_FATORES_DE_RISC ON FICHA_B_GES_FATORES_DE_RISCO
(
       ID_FICHA_DE_GESTANTE,
       ID_FATORES_DE_RISCO
);

CREATE INDEX XIF134FICHA_B_GES_FATORES_DE_R ON FICHA_B_GES_FATORES_DE_RISCO
(
       ID_FICHA_DE_GESTANTE
);

CREATE INDEX XIF135FICHA_B_GES_FATORES_DE_R ON FICHA_B_GES_FATORES_DE_RISCO
(
       ID_FATORES_DE_RISCO
);


DROP TABLE FICHA_B_GES CASCADE CONSTRAINTS;

CREATE TABLE FICHA_B_GES (
       ID_FICHA_DE_GESTANTE INTEGER NOT NULL,
       ID_RESULTADO_DA_GESTACAO_ATUAL INTEGER NULL,
       DATA_DA_CONSULTA     DATE NOT NULL,
       DATA_DA_ULTIMA_REGRA DATE NULL,
       DATA_PROVAVEL_DO_PARTO DATE NULL,
       DATA_VACINA_1        DATE NULL,
       DATA_VACINA_2        DATE NULL,
       DATA_VACINA_3        DATE NULL,
       DATA_VACINA_R        DATE NULL,
       ESTADO_NUTRICIONAL_MES CHAR(1) NULL,
       DATA_PUERPERIO_1     DATE NULL,
       DATA_PUERPERIO_2     DATE NULL,
       OBSERVACOES          TEXT NULL
);

DROP INDEX XPKFICHA_B_GES;

DROP INDEX XIF136FICHA_B_GES;

CREATE UNIQUE INDEX XPKFICHA_B_GES ON FICHA_B_GES
(
       ID_FICHA_DE_GESTANTE
);

CREATE INDEX XIF136FICHA_B_GES ON FICHA_B_GES
(
       ID_RESULTADO_DA_GESTACAO_ATUAL
);


DROP TABLE FICHA_B_HAN CASCADE CONSTRAINTS;

CREATE TABLE FICHA_B_HAN (
       ID_FICHA_B_HAN       INTEGER NOT NULL,
       DATA_VISITA_ACS      DATE NULL,
       TOMA_MEDICACAO_DIARIA BOOL NULL,
       DATA_ULTIMA_DOSE_SUPERVISIONAD DATE NULL,
       COMUNICANTES_EXAMINADOS INTEGER NULL,
       COMUNICANTES_RECEBERAM_BCG INTEGER NULL,
       NUM_COMUNICANTES     INTEGER NULL,
       DATA_DA_CONSULTA     DATE NOT NULL,
       OBSERVACOES          TEXT NULL
);

DROP INDEX XPKFICHA_B_HAN;

CREATE UNIQUE INDEX XPKFICHA_B_HAN ON FICHA_B_HAN
(
       ID_FICHA_B_HAN
);


DROP TABLE FICHA_B_HA CASCADE CONSTRAINTS;

CREATE TABLE FICHA_B_HA (
       ID_FICHA_B_HA        INTEGER NOT NULL,
       DATA_DA_CONSULTA     DATE NOT NULL,
       DATA_VISITA_ACS      DATE NULL,
       FAZ_DIETA            BOOL NULL,
       TOMA_MEDICACAO       BOOL NULL,
       FAZ_EXERCICIO_FISICO BOOL NULL,
       PRESSAO_ARTERIAL     CHAR(5) NULL,
       DATA_ULTIMA_CONSULTA DATE NULL,
       OBSERVACOES          TEXT NULL
);

DROP INDEX XPKFICHA_B_HA;

CREATE UNIQUE INDEX XPKFICHA_B_HA ON FICHA_B_HA
(
       ID_FICHA_B_HA
);


DROP TABLE FICHA_B_TUB CASCADE CONSTRAINTS;

CREATE TABLE FICHA_B_TUB (
       ID_FICHA_B_TUB       INTEGER NOT NULL,
       DATA_VISITA_ACS      DATE NULL,
       TOMA_MEDICACAO_DIARIA BOOL NULL,
       REACOES_INDESEJAVEIS BOOL NULL,
       DATA_ULTIMA_CONSULTA DATE NULL,
       EXAME_DE_ESCARRO     BOOL NULL,
       COMUNICANTES_EXAMINADOS INTEGER NULL,
       MENOR_5ANOS_COM_BCG  INTEGER NULL,
       MENOR_5ANOS_COMUNICANTE INTEGER NULL,
       NUM_COMUNICANTES     INTEGER NULL,
       DATA_DA_CONSULTA     DATE NOT NULL,
       OBSERVACOES          TEXT NULL
);

DROP INDEX XPKFICHA_B_TUB;

CREATE UNIQUE INDEX XPKFICHA_B_TUB ON FICHA_B_TUB
(
       ID_FICHA_B_TUB
);


DROP TABLE FICHA_B_DIA CASCADE CONSTRAINTS;

CREATE TABLE FICHA_B_DIA (
       ID_FICHA_B_DIABETE   INTEGER NOT NULL,
       DATA_DA_VISITA_ACS   DATE NULL,
       FAZ_DIETA            BOOL NULL,
       FAZ_EXERCICIO_FISICO BOOL NULL,
       USA_INSULINA         BOOL NULL,
       TOMA_HIPOGLICEMIANTE_ORAL BOOL NULL,
       DATA_ULTIMA_CONSULTA DATE NULL,
       DATA_DA_CONSULTA     DATE NOT NULL,
       OBSERVACOES          TEXT NULL
);

DROP INDEX XPKFICHA_B_DIA;

CREATE UNIQUE INDEX XPKFICHA_B_DIA ON FICHA_B_DIA
(
       ID_FICHA_B_DIABETE
);


DROP TABLE DROGAS CASCADE CONSTRAINTS;

CREATE TABLE DROGAS (
       ID_DROGAS            INTEGER NOT NULL,
       NOME                 VARCHAR(15) NULL
);

DROP INDEX XPKDROGAS;

CREATE UNIQUE INDEX XPKDROGAS ON DROGAS
(
       ID_DROGAS
);


DROP TABLE TIPO_DE_PARTO CASCADE CONSTRAINTS;

CREATE TABLE TIPO_DE_PARTO (
       ID_PARTO             INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL
);

DROP INDEX XPKTIPO_DE_PARTO;

CREATE UNIQUE INDEX XPKTIPO_DE_PARTO ON TIPO_DE_PARTO
(
       ID_PARTO
);


DROP TABLE MEDICAMENTOS CASCADE CONSTRAINTS;

CREATE TABLE MEDICAMENTOS (
       MEDICAMENTO          INTEGER NOT NULL,
       NOME                 VARCHAR(40) NULL
);

DROP INDEX XPKMEDICAMENTOS;

CREATE UNIQUE INDEX XPKMEDICAMENTOS ON MEDICAMENTOS
(
       MEDICAMENTO
);


DROP TABLE DIAGNOSTICO_DO_RN CASCADE CONSTRAINTS;

CREATE TABLE DIAGNOSTICO_DO_RN (
       ID_DIAGNOSTICO_DO_RN INTEGER NOT NULL,
       NOME                 VARCHAR(10) NULL
);

DROP INDEX XPKDIAGNOSTICO_DO_RN;

CREATE UNIQUE INDEX XPKDIAGNOSTICO_DO_RN ON DIAGNOSTICO_DO_RN
(
       ID_DIAGNOSTICO_DO_RN
);


DROP TABLE FATORES_DE_RISCO CASCADE CONSTRAINTS;

CREATE TABLE FATORES_DE_RISCO (
       ID_FATORES_DE_RISCO  INTEGER NOT NULL,
       NOME                 VARCHAR(30) NULL
);

DROP INDEX XPKFATORES_DE_RISCO;

CREATE UNIQUE INDEX XPKFATORES_DE_RISCO ON FATORES_DE_RISCO
(
       ID_FATORES_DE_RISCO
);


DROP TABLE RESULTADO_DA_GESTACAO_ATUAL CASCADE CONSTRAINTS;

CREATE TABLE RESULTADO_DA_GESTACAO_ATUAL (
       ID_RESULTADO_DA_GESTACAO_ATUAL INTEGER NOT NULL,
       NOME                 CHAR(2) NULL
);

DROP INDEX XPKRESULTADO_DA_GESTACAO_ATUAL;

CREATE UNIQUE INDEX XPKRESULTADO_DA_GESTACAO_ATUAL ON RESULTADO_DA_GESTACAO_ATUAL
(
       ID_RESULTADO_DA_GESTACAO_ATUAL
);


ALTER TABLE FICHA_ATENDIMENTO_MEDICA
       ADD  ( FOREIGN KEY (MEDICAMENTO)
                             REFERENCES MEDICAMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENTO_MEDICA
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_IDOSO)
                             REFERENCES FICHA_ATENDIMENTO_IDOSO ) ;


ALTER TABLE FICHA_ATENDIMENTO__MEDICA
       ADD  ( FOREIGN KEY (MEDICAMENTO)
                             REFERENCES MEDICAMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENTO__MEDICA
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_ADULTO)
                             REFERENCES FICHA_ATENDIMENTO_ADULTO ) ;


ALTER TABLE FICHA_ATENDIMENTO__MEDIC
       ADD  ( FOREIGN KEY (MEDICAMENTO)
                             REFERENCES MEDICAMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENTO__MEDIC
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_CRIANCA)
                             REFERENCES FICHA_ATENDIMENTO_CRIANCA ) ;


ALTER TABLE FICHA_ATENDIME_SOLICITACA
       ADD  ( FOREIGN KEY (ID_EXAME)
                             REFERENCES SOLICITACAO_DE_EXAMES ) ;


ALTER TABLE FICHA_ATENDIME_SOLICITACA
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_CRIANCA)
                             REFERENCES FICHA_ATENDIMENTO_CRIANCA ) ;


ALTER TABLE FICHA_ATENDIMEN_TIPO_DE_A
       ADD  ( FOREIGN KEY (ID_TIPO_DE_ATENDIMENTO)
                             REFERENCES TIPO_DE_ATENDIMENTO ) ;


ALTER TABLE FICHA_ATENDIMEN_TIPO_DE_A
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_CRIANCA)
                             REFERENCES FICHA_ATENDIMENTO_CRIANCA ) ;


ALTER TABLE FICHA_ATENDIMENTO_ENCAMIN
       ADD  ( FOREIGN KEY (ID_ENCAMINHAMENTOS)
                             REFERENCES ENCAMINHAMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENTO_ENCAMIN
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_CRIANCA)
                             REFERENCES FICHA_ATENDIMENTO_CRIANCA ) ;


ALTER TABLE FICHA_ATENDIMENTO__PROCED
       ADD  ( FOREIGN KEY (ID_PROCEDIMENTO)
                             REFERENCES PROCEDIMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENTO__PROCED
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_CRIANCA)
                             REFERENCES FICHA_ATENDIMENTO_CRIANCA ) ;


ALTER TABLE FICHA_ATENDIM_SOLICITACAO
       ADD  ( FOREIGN KEY (ID_EXAME)
                             REFERENCES SOLICITACAO_DE_EXAMES ) ;


ALTER TABLE FICHA_ATENDIM_SOLICITACAO
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_IDOSO)
                             REFERENCES FICHA_ATENDIMENTO_IDOSO ) ;


ALTER TABLE FICHA_ATENDIME_TIPO_DE_AT
       ADD  ( FOREIGN KEY (ID_TIPO_DE_ATENDIMENTO)
                             REFERENCES TIPO_DE_ATENDIMENTO ) ;


ALTER TABLE FICHA_ATENDIME_TIPO_DE_AT
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_IDOSO)
                             REFERENCES FICHA_ATENDIMENTO_IDOSO ) ;


ALTER TABLE FICHA_ATENDIMENT_ENCAMINH
       ADD  ( FOREIGN KEY (ID_ENCAMINHAMENTOS)
                             REFERENCES ENCAMINHAMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENT_ENCAMINH
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_IDOSO)
                             REFERENCES FICHA_ATENDIMENTO_IDOSO ) ;


ALTER TABLE FICHA_ATENDIMENTO_PROCEDI
       ADD  ( FOREIGN KEY (ID_PROCEDIMENTO)
                             REFERENCES PROCEDIMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENTO_PROCEDI
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_IDOSO)
                             REFERENCES FICHA_ATENDIMENTO_IDOSO ) ;


ALTER TABLE FICHA_ATENDIM_SOLICITACA
       ADD  ( FOREIGN KEY (ID_EXAME)
                             REFERENCES SOLICITACAO_DE_EXAMES ) ;


ALTER TABLE FICHA_ATENDIM_SOLICITACA
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_ADULTO)
                             REFERENCES FICHA_ATENDIMENTO_ADULTO ) ;


ALTER TABLE FICHA_ATENDIME_TIPO_DE_A
       ADD  ( FOREIGN KEY (ID_TIPO_DE_ATENDIMENTO)
                             REFERENCES TIPO_DE_ATENDIMENTO ) ;


ALTER TABLE FICHA_ATENDIME_TIPO_DE_A
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_ADULTO)
                             REFERENCES FICHA_ATENDIMENTO_ADULTO ) ;


ALTER TABLE FICHA_ATENDIMENT_ENCAMIN
       ADD  ( FOREIGN KEY (ID_ENCAMINHAMENTOS)
                             REFERENCES ENCAMINHAMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENT_ENCAMIN
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_ADULTO)
                             REFERENCES FICHA_ATENDIMENTO_ADULTO ) ;


ALTER TABLE FICHA_ATENDIMENTO_PROCED
       ADD  ( FOREIGN KEY (ID_PROCEDIMENTO)
                             REFERENCES PROCEDIMENTOS ) ;


ALTER TABLE FICHA_ATENDIMENTO_PROCED
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_ADULTO)
                             REFERENCES FICHA_ATENDIMENTO_ADULTO ) ;


ALTER TABLE UNIDADE_DE_SAUDE
       ADD  ( FOREIGN KEY (ID_PSF)
                             REFERENCES PSF ) ;


ALTER TABLE UNIDADE_DE_SAUDE
       ADD  ( FOREIGN KEY (ID_SEGMENTO, ID_MUNICIPIO, ID_ESTADO)
                             REFERENCES SEGMENTO ) ;


ALTER TABLE DROGAS_PESSOA
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE DROGAS_PESSOA
       ADD  ( FOREIGN KEY (ID_DROGAS)
                             REFERENCES DROGAS ) ;


ALTER TABLE PESSOA_FICHA_ATENDIMENTO_IDOSO
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_IDOSO)
                             REFERENCES FICHA_ATENDIMENTO_IDOSO ) ;


ALTER TABLE PESSOA_FICHA_ATENDIMENTO_IDOSO
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PES_FICHA_ATENDIMENTO_ADU
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_ADULTO)
                             REFERENCES FICHA_ATENDIMENTO_ADULTO ) ;


ALTER TABLE PES_FICHA_ATENDIMENTO_ADU
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PE_FICHA_ATENDIMENTO_CRI
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_CRIANCA)
                             REFERENCES FICHA_ATENDIMENTO_CRIANCA ) ;


ALTER TABLE PE_FICHA_ATENDIMENTO_CRI
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA_FICHA_B_DIA
       ADD  ( FOREIGN KEY (ID_FICHA_B_DIABETE)
                             REFERENCES FICHA_B_DIA ) ;


ALTER TABLE PESSOA_FICHA_B_DIA
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA_FICHA_B_TUB
       ADD  ( FOREIGN KEY (ID_FICHA_B_TUB)
                             REFERENCES FICHA_B_TUB ) ;


ALTER TABLE PESSOA_FICHA_B_TUB
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA_FICHA_B_HAN
       ADD  ( FOREIGN KEY (ID_FICHA_B_HAN)
                             REFERENCES FICHA_B_HAN ) ;


ALTER TABLE PESSOA_FICHA_B_HAN
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA_FICHA_B_HA
       ADD  ( FOREIGN KEY (ID_FICHA_B_HA)
                             REFERENCES FICHA_B_HA ) ;


ALTER TABLE PESSOA_FICHA_B_HA
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA_FICHA_B_GES
       ADD  ( FOREIGN KEY (ID_FICHA_DE_GESTANTE)
                             REFERENCES FICHA_B_GES ) ;


ALTER TABLE PESSOA_FICHA_B_GES
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA_PATOLOGIA
       ADD  ( FOREIGN KEY (ID_PATOLOGIA)
                             REFERENCES PATOLOGIA ) ;


ALTER TABLE PESSOA_PATOLOGIA
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA_OCUPACAO
       ADD  ( FOREIGN KEY (ID_OCUPACAO)
                             REFERENCES OCUPACAO ) ;


ALTER TABLE PESSOA_OCUPACAO
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA_CONDICAO_REFERIDA
       ADD  ( FOREIGN KEY (ID_CONDICAO_REFERIDA)
                             REFERENCES CONDICAO_REFERIDA ) ;


ALTER TABLE PESSOA_CONDICAO_REFERIDA
       ADD  ( FOREIGN KEY (ID_PESSOA)
                             REFERENCES PESSOA ) ;


ALTER TABLE PESSOA
       ADD  ( FOREIGN KEY (ID_FAMILIA)
                             REFERENCES FAMILIA ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_MEIO_DE_COMUNICACAO)
                             REFERENCES MEIO_DE_COMUNICACAO ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_MEIO_DE_TRANSPORTE)
                             REFERENCES MEIO_DE_TRANSPORTE ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_GRUPO_COMUNITARIO)
                             REFERENCES GRUPO_COMUNITARIO ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_MEIO_DE_CURA)
                             REFERENCES MEIO_DE_CURA ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_PSF)
                             REFERENCES PSF ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_DESTINO_FEZES_URINA)
                             REFERENCES DESTINO_FEZES_URINA ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_ABASTECIMENTO_AGUA)
                             REFERENCES ABASTECIMENTO_AGUA ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_TRATAMENTO_AGUA)
                             REFERENCES TRATAMENTO_AGUA ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_DESTINO_LIXO)
                             REFERENCES DESTINO_LIXO ) ;


ALTER TABLE FAMILIA
       ADD  ( FOREIGN KEY (ID_TIPO_DE_CASA)
                             REFERENCES TIPO_DE_CASA ) ;


ALTER TABLE PATOL_FICHA_ATENDIMENTO_I
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_IDOSO)
                             REFERENCES FICHA_ATENDIMENTO_IDOSO ) ;


ALTER TABLE PATOL_FICHA_ATENDIMENTO_I
       ADD  ( FOREIGN KEY (ID_PATOLOGIA)
                             REFERENCES PATOLOGIA ) ;


ALTER TABLE PATO_FICHA_ATENDIMENTO_A
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_ADULTO)
                             REFERENCES FICHA_ATENDIMENTO_ADULTO ) ;


ALTER TABLE PATO_FICHA_ATENDIMENTO_A
       ADD  ( FOREIGN KEY (ID_PATOLOGIA)
                             REFERENCES PATOLOGIA ) ;


ALTER TABLE MICROAREA
       ADD  ( FOREIGN KEY (ID_AREA, ID_SEGMENTO, ID_MUNICIPIO, 
              ID_ESTADO)
                             REFERENCES AREA ) ;


ALTER TABLE PROFISSIONAL
       ADD  ( FOREIGN KEY (ID_EQUIPE)
                             REFERENCES EQUIPE_DE_SAUDE ) ;


ALTER TABLE EQUIPE_DE_SAUDE
       ADD  ( FOREIGN KEY (ID_AREA, ID_SEGMENTO, ID_MUNICIPIO, 
              ID_ESTADO)
                             REFERENCES AREA ) ;


ALTER TABLE AREA
       ADD  ( FOREIGN KEY (ID_SEGMENTO, ID_MUNICIPIO, ID_ESTADO)
                             REFERENCES SEGMENTO ) ;


ALTER TABLE SEGMENTO
       ADD  ( FOREIGN KEY (ID_MUNICIPIO, ID_ESTADO)
                             REFERENCES MUNICIPIO ) ;


ALTER TABLE MUNICIPIO
       ADD  ( FOREIGN KEY (ID_ESTADO)
                             REFERENCES ESTADO ) ;


ALTER TABLE PATO_FICHA_ATENDIMENTO_CR
       ADD  ( FOREIGN KEY (ID_FICHA_ATENDIMENTO_CRIANCA)
                             REFERENCES FICHA_ATENDIMENTO_CRIANCA ) ;


ALTER TABLE PATO_FICHA_ATENDIMENTO_CR
       ADD  ( FOREIGN KEY (ID_PATOLOGIA)
                             REFERENCES PATOLOGIA ) ;


ALTER TABLE FICHA_ATENDIMENTO_CRIANCA
       ADD  ( FOREIGN KEY (ID_DIAGNOSTICO_DO_RN)
                             REFERENCES DIAGNOSTICO_DO_RN ) ;


ALTER TABLE FICHA_ATENDIMENTO_CRIANCA
       ADD  ( FOREIGN KEY (ID_PARTO)
                             REFERENCES TIPO_DE_PARTO ) ;


ALTER TABLE FICHA_B_GES_FATORES_DE_RISCO
       ADD  ( FOREIGN KEY (ID_FATORES_DE_RISCO)
                             REFERENCES FATORES_DE_RISCO ) ;


ALTER TABLE FICHA_B_GES_FATORES_DE_RISCO
       ADD  ( FOREIGN KEY (ID_FICHA_DE_GESTANTE)
                             REFERENCES FICHA_B_GES ) ;


ALTER TABLE FICHA_B_GES
       ADD  ( FOREIGN KEY (ID_RESULTADO_DA_GESTACAO_ATUAL)
                             REFERENCES RESULTADO_DA_GESTACAO_ATUAL ) ;



